Bug 13238 - Samba doesn't work with tirpc and libnsl2
Samba doesn't work with tirpc and libnsl2
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.8.0rc1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-19 12:38 UTC by Andreas Schneider
Modified: 2018-01-31 09:49 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.8 (22.61 KB, patch)
2018-01-22 16:36 UTC, Andreas Schneider
gd: review+
Details
patch for 4.7 (21.67 KB, patch)
2018-01-22 16:42 UTC, Andreas Schneider
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2018-01-19 12:38:59 UTC
glibc had deprecated NIS support a while ago. Distributions start to remove it from glibc now. 

We need to work with libtirpc and libnsl2.

The required packages are:

  libtirpc
  rpcsvc-proto
  libnsl2

for building with NIS support. ctdb's smnotify requires rpc/xdr.h from libtirpc.
Comment 1 Andreas Schneider 2018-01-22 16:36:17 UTC
Created attachment 13918 [details]
patch for 4.8
Comment 2 Guenther Deschner 2018-01-22 16:36:43 UTC
Comment on attachment 13918 [details]
patch for 4.8

LGTM :)
Comment 3 Guenther Deschner 2018-01-22 16:37:14 UTC
Karolin, please add to 4.8, thanks!
Comment 4 Andreas Schneider 2018-01-22 16:42:43 UTC
Created attachment 13919 [details]
patch for 4.7
Comment 5 Guenther Deschner 2018-01-22 16:47:04 UTC
Comment on attachment 13919 [details]
patch for 4.7

LGTM
Comment 6 Karolin Seeger 2018-01-25 14:00:24 UTC
Pushed to autobuild-v4-{7,8}-test.
Comment 7 Karolin Seeger 2018-01-31 09:49:39 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches.
Closing out bug report.

Thanks!